Foxit PDF SDK

Instance Methods | Properties | List of all members
FSButtonItem Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithButton_item:
| Constructor, with another button item object. More...
(void) | - set:pos:exec:enable:marked:tooltip:label:bitmap:
| Set values. More...

## Properties
FSBitmap * | bitmap
| A bitmap object of button.
NSString * | enable
| An expression string that determines whether to enable the toolbutton.
NSString * | exec
| The expression string to evaluate when the button is selected.
NSString * | label
| A text label to be displayed on the button to the right of the icon.
NSString * | marked
| An expression string that determines whether the toolbutton is marked.
NSString * | name
| A unique language-independent identifier for the button.
int | pos
| The button number to place the added button in the toolbar.
NSString * | tooltip
| The text to display in the button help text when the mouse is over the toolbutton.

## Detailed Description

This class represents button item.

## Method Documentation

## ◆ initWithButton_item:()

- (id) initWithButton_item: |  | (FSButtonItem*) | button_item |

Constructor, with another button item object.

Parameters

  [in] | button_item | Another button item object.

## ◆ set:pos:exec:enable:marked:tooltip:label:bitmap:()

- (void) set: |  | (NSString *) | name
pos: |  | (int) | pos
exec: |  | (NSString *) | exec
enable: |  | (NSString *) | enable
marked: |  | (NSString *) | marked
tooltip: |  | (NSString *) | tooltip
label: |  | (NSString *) | label
bitmap: |  | (FSBitmap*) | bitmap

Set values.

Parameters

  [in] | name | A unique language-independent identifier for the button.
  [in] | pos | The button number to place the added button in the toolbar.
  [in] | exec | The expression string to evaluate when the button is selected.
  [in] | enable | An expression string that determines whether to enable the toolbutton.
  [in] | marked | An expression string that determines whether the toolbutton is marked.
  [in] | tooltip | The text to display in the button help text when the mouse is over the toolbutton.
  [in] | label | A text label to be displayed on the button to the right of the icon.
  [in] | bitmap | A bitmap object of button.

Returns
  None.